Subject: [quicwg/base-drafts] e84650: make transport parameters varint

From: ianswett <[email-masked]>
Date: Sat, 07 Mar 2020 02:55:42 -0800

Branch: refs/heads/ianswett-restore-undecryptable
  Home:   https://github.com/quicwg/base-drafts
  Commit: e846500ce2ee4a6d78b2ab54c2dc9a2dc0d43c9b
      https://github.com/quicwg/base-drafts/commit/e846500ce2ee4a6d78b2ab54c2dc9a2dc0d43c9b
  Author: David Schinazi <[email-masked]>
  Date:   2019-10-29 (Tue, 29 Oct 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  make transport parameters varint

  Commit: 6bc3d4ad61c2c11baf7183488613e9fcc5dff1cb
      https://github.com/quicwg/base-drafts/commit/6bc3d4ad61c2c11baf7183488613e9fcc5dff1cb
  Author: David Schinazi <[email-masked]>
  Date:   2019-12-09 (Mon, 09 Dec 2019)

  Changed paths:
    M .circleci/config.yml
    M CONTRIBUTING.md
    M draft-ietf-quic-http.md
    M draft-ietf-quic-qpack.md
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md
    M initial-protection.js

  Log Message:
  -----------
  Merge branch 'master' into varinttp

  Commit: b38da3b5b3f6de626ce324cd91226fb0ade25aa0
      https://github.com/quicwg/base-drafts/commit/b38da3b5b3f6de626ce324cd91226fb0ade25aa0
  Author: mirjak <[email-masked]>
  Date:   2020-01-22 (Wed, 22 Jan 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Editorial: More concise intro text

Just a proposal but I would prefer to remove the advertising slang ("decades of transport and security experience" and "makes it attractive").

  Commit: f458ac8271c7e50e1111794d454e52eee9bf590f
      https://github.com/quicwg/base-drafts/commit/f458ac8271c7e50e1111794d454e52eee9bf590f
  Author: mirjak <[email-masked]>
  Date:   2020-01-23 (Thu, 23 Jan 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-Authored-By: Jana Iyengar <[email-masked]>

  Commit: 26a38dd8278fb208ff2610fc5b2aae5ec671206b
      https://github.com/quicwg/base-drafts/commit/26a38dd8278fb208ff2610fc5b2aae5ec671206b
  Author: mirjak <[email-masked]>
  Date:   2020-01-23 (Thu, 23 Jan 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-Authored-By: Jana Iyengar <[email-masked]>

  Commit: d8d72ab1e2c156657bc06f07f36585c66bdb06da
      https://github.com/quicwg/base-drafts/commit/d8d72ab1e2c156657bc06f07f36585c66bdb06da
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-01-24 (Fri, 24 Jan 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: d75fdc94ad7377ed916b0e5dcf996f2b710be524
      https://github.com/quicwg/base-drafts/commit/d75fdc94ad7377ed916b0e5dcf996f2b710be524
  Author: Dmitri Tikhonov <[email-masked]>
  Date:   2020-01-27 (Mon, 27 Jan 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Fix: server cannot proceed to handshake when given an invalid Retry token

Fixes issue #3396

  Commit: 5108eb30b428dec3a39138bbcadfa70dfdd5d05e
      https://github.com/quicwg/base-drafts/commit/5108eb30b428dec3a39138bbcadfa70dfdd5d05e
  Author: ianswett <[email-masked]>
  Date:   2020-02-04 (Tue, 04 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Reset PTO and loss detection timer when discarding keys

Fixes #3272 

This doesn't add normative statements, but it could if people would like.

  Commit: c2a80a79c162a0a718262f974464fccb74a76636
      https://github.com/quicwg/base-drafts/commit/c2a80a79c162a0a718262f974464fccb74a76636
  Author: Martin Thomson <[email-masked]>
  Date:   2020-02-05 (Wed, 05 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Remember active_connection_id_limit for 0-RTT

Simple.  It appears as though I missed this when @marten-seeman added
this transport parameter.  We shouldn't make more exceptions for 0-RTT.

Closes #3423.

  Commit: 9876208d33d68d923d31699b7a5e54e32bf321f1
      https://github.com/quicwg/base-drafts/commit/9876208d33d68d923d31699b7a5e54e32bf321f1
  Author: David Schinazi <[email-masked]>
  Date:   2020-02-05 (Wed, 05 Feb 2020)

  Changed paths:
    M draft-ietf-quic-http.md
    M draft-ietf-quic-qpack.md
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md
    R initial-protection.js
    A protection-samples.js

  Log Message:
  -----------
  Merge branch 'master' into varinttp

  Commit: 6ab9bab55bb3247e5f8938fd908578f9ef13187e
      https://github.com/quicwg/base-drafts/commit/6ab9bab55bb3247e5f8938fd908578f9ef13187e
  Author: David Schinazi <[email-masked]>
  Date:   2020-02-05 (Wed, 05 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  revert preferred_address change

  Commit: 6b01be6c4d9caa77f6bcefa7d42bcdbfe9f1deec
      https://github.com/quicwg/base-drafts/commit/6b01be6c4d9caa77f6bcefa7d42bcdbfe9f1deec
  Author: ianswett <[email-masked]>
  Date:   2020-02-07 (Fri, 07 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Add pseudocode

  Commit: db231e9d6c2c991c3a9360d3f4832ce32d9a6427
      https://github.com/quicwg/base-drafts/commit/db231e9d6c2c991c3a9360d3f4832ce32d9a6427
  Author: ianswett <[email-masked]>
  Date:   2020-02-07 (Fri, 07 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: ecb7a76c16022536bc420fa08e74af11d2602ed6
      https://github.com/quicwg/base-drafts/commit/ecb7a76c16022536bc420fa08e74af11d2602ed6
  Author: ianswett <[email-masked]>
  Date:   2020-02-09 (Sun, 09 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  MAY send 1 packet entering recovery

Similar to TCP as described in Section 5 of RFC 6675

Fixes #3335

  Commit: 998a43f5aebbd68123e968cd6c9f88e887825a31
      https://github.com/quicwg/base-drafts/commit/998a43f5aebbd68123e968cd6c9f88e887825a31
  Author: ianswett <[email-masked]>
  Date:   2020-02-09 (Sun, 09 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update pseudocode

  Commit: 02c21901dcfbf55abb1a801ac5118cab06f0ad2a
      https://github.com/quicwg/base-drafts/commit/02c21901dcfbf55abb1a801ac5118cab06f0ad2a
  Author: ianswett <[email-masked]>
  Date:   2020-02-09 (Sun, 09 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: f247379b14f50465adc7c992a7db5853430686c8
      https://github.com/quicwg/base-drafts/commit/f247379b14f50465adc7c992a7db5853430686c8
  Author: ianswett <[email-masked]>
  Date:   2020-02-09 (Sun, 09 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Idle timeout editorial fixes

>From @janaiyengar and @MikeBishop comments on #3099 

Fixes #3184

  Commit: 8c52fd83cb5a0228dd696e45f556617e8156036f
      https://github.com/quicwg/base-drafts/commit/8c52fd83cb5a0228dd696e45f556617e8156036f
  Author: ianswett <[email-masked]>
  Date:   2020-02-09 (Sun, 09 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Clarify client anti-amplification response

Clarifies why a client might send a Handshake packet, as well as generally tries to improve the anti-deadlock text.

Fixes #2598

  Commit: 6138a07267ab9a28d00eaec8f3699cf60a6dc7fe
      https://github.com/quicwg/base-drafts/commit/6138a07267ab9a28d00eaec8f3699cf60a6dc7fe
  Author: ianswett <[email-masked]>
  Date:   2020-02-09 (Sun, 09 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

  Commit: 2793b5c477c8ef4672c5d056510d685f83b0bf90
      https://github.com/quicwg/base-drafts/commit/2793b5c477c8ef4672c5d056510d685f83b0bf90
  Author: ianswett <[email-masked]>
  Date:   2020-02-09 (Sun, 09 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Simplify

  Commit: a6e821584e80f2fa5efe02a21aba0926131d7a4d
      https://github.com/quicwg/base-drafts/commit/a6e821584e80f2fa5efe02a21aba0926131d7a4d
  Author: ianswett <[email-masked]>
  Date:   2020-02-09 (Sun, 09 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

  Commit: 578d2b79af642126ee9be062851b621c8e0751ae
      https://github.com/quicwg/base-drafts/commit/578d2b79af642126ee9be062851b621c8e0751ae
  Author: ianswett <[email-masked]>
  Date:   2020-02-10 (Mon, 10 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Martin's suggestions

  Commit: 321c59afbcf01afa80373633c9ec2058a9088cf8
      https://github.com/quicwg/base-drafts/commit/321c59afbcf01afa80373633c9ec2058a9088cf8
  Author: ianswett <[email-masked]>
  Date:   2020-02-10 (Mon, 10 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Reworked Martin's suggestion

  Commit: d7fabb01733c3ccfb21c2eedb25d17e4de82cbb6
      https://github.com/quicwg/base-drafts/commit/d7fabb01733c3ccfb21c2eedb25d17e4de82cbb6
  Author: ianswett <[email-masked]>
  Date:   2020-02-12 (Wed, 12 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Jana's suggestion

  Commit: 731f802da4f5fb7a0b8af17a42387bc38d5cf93a
      https://github.com/quicwg/base-drafts/commit/731f802da4f5fb7a0b8af17a42387bc38d5cf93a
  Author: ianswett <[email-masked]>
  Date:   2020-02-12 (Wed, 12 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  ACK-only packets are not congestion controlled

Clarifies that losing ACK-only packets is detectable in QUIC, but this draft specifies no response to their loss.

Fixes #3451

  Commit: 80ace942ea90075bf9174f641c1caf2b5f98b4de
      https://github.com/quicwg/base-drafts/commit/80ace942ea90075bf9174f641c1caf2b5f98b4de
  Author: ianswett <[email-masked]>
  Date:   2020-02-14 (Fri, 14 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Fix the section reference

In recovery for max_ack_delay of 0.

Came from #3459

  Commit: 86ae5b47c6f73a1356b211cf4db0a6b2dcd23d85
      https://github.com/quicwg/base-drafts/commit/86ae5b47c6f73a1356b211cf4db0a6b2dcd23d85
  Author: ianswett <[email-masked]>
  Date:   2020-02-15 (Sat, 15 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Martin's suggestion reworded

  Commit: 7f0e36ce84a70e4e22b4ab1454d05884052b68b0
      https://github.com/quicwg/base-drafts/commit/7f0e36ce84a70e4e22b4ab1454d05884052b68b0
  Author: ianswett <[email-masked]>
  Date:   2020-02-15 (Sat, 15 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Add back old sentence

  Commit: 6fa5c4286429fd28fd5447936214d37d50b6f2c0
      https://github.com/quicwg/base-drafts/commit/6fa5c4286429fd28fd5447936214d37d50b6f2c0
  Author: ianswett <[email-masked]>
  Date:   2020-02-15 (Sat, 15 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Clarify adaptive loss thresholds

Fixes #3389 by clarifying that one may start with a smaller time threshold, not a smaller packet threshold.

  Commit: 275ab8038214c051d9e767d43c08a2f9b3f042bd
      https://github.com/quicwg/base-drafts/commit/275ab8038214c051d9e767d43c08a2f9b3f042bd
  Author: ianswett <[email-masked]>
  Date:   2020-02-15 (Sat, 15 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Make congestion control more self-contained

Clarifies a few points and moves the initial window recommendation from the pseudocode to the text.

Fixes #3088

  Commit: 2c5f8fcfc00e4b470564dbfc6ac4f9046d98c974
      https://github.com/quicwg/base-drafts/commit/2c5f8fcfc00e4b470564dbfc6ac4f9046d98c974
  Author: Martin Thomson <[email-masked]>
  Date:   2020-02-18 (Tue, 18 Feb 2020)

  Changed paths:
    M draft-ietf-quic-qpack.md

  Log Message:
  -----------
  Deadlocks, and how to avoid them (#3458)

* Deadlocks, and how to avoid them

Much belated, this attempts to address the concerns about deadlocking.
Basically, this says that you should avoid instructions that don't have
flow control credit.  It doesn't say how an encoder might learn what
limits are, but we've seen a range of tactics being used in
implementations and I don't want to get into transport API debates.

This doesn't cover the memory exhaustion attack that @kazuho suggests on
the issue; I think that is better covered more generally by the
connection-level flow control limits.

Closes #1420.

* Taking Ian's suggestion and rearranging slighty

  Commit: ef8f18206b9da3eff234e1ea01ad888f506dff2e
      https://github.com/quicwg/base-drafts/commit/ef8f18206b9da3eff234e1ea01ad888f506dff2e
  Author: ianswett <[email-masked]>
  Date:   2020-02-19 (Wed, 19 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #3460 from quicwg/ianswett-ref

Fix the section reference

  Commit: 7660a51226fe6ba10b0793a88466954b0210e580
      https://github.com/quicwg/base-drafts/commit/7660a51226fe6ba10b0793a88466954b0210e580
  Author: ianswett <[email-masked]>
  Date:   2020-02-19 (Wed, 19 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Separate out initial and min congestion window

  Commit: 5f29a7d639ebb49470f324fb5bd6a9f3f5ce0279
      https://github.com/quicwg/base-drafts/commit/5f29a7d639ebb49470f324fb5bd6a9f3f5ce0279
  Author: Alessandro Ghedini <[email-masked]>
  Date:   2020-02-19 (Wed, 19 Feb 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Fix grammer: for indicate -> to indicate (#3469)

  Commit: d116e03baea1a4012f5d4ab20ee5619a7cca3d03
      https://github.com/quicwg/base-drafts/commit/d116e03baea1a4012f5d4ab20ee5619a7cca3d03
  Author: ianswett <[email-masked]>
  Date:   2020-02-20 (Thu, 20 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Add a no-op changelog for recovery since -25

  Commit: fea5aea293a99bcdd31bb70d5b18c5c298b45a98
      https://github.com/quicwg/base-drafts/commit/fea5aea293a99bcdd31bb70d5b18c5c298b45a98
  Author: ianswett <[email-masked]>
  Date:   2020-02-20 (Thu, 20 Feb 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Http since -25 changelog

  Commit: e4a4a5f5171e8a1ec2b4ca60a6fc8d3264221123
      https://github.com/quicwg/base-drafts/commit/e4a4a5f5171e8a1ec2b4ca60a6fc8d3264221123
  Author: ianswett <[email-masked]>
  Date:   2020-02-20 (Thu, 20 Feb 2020)

  Changed paths:
    M draft-ietf-quic-qpack.md

  Log Message:
  -----------
  qpack changelog

  Commit: df32bc8402a900e09390e7e41c7f7cef8f8a9516
      https://github.com/quicwg/base-drafts/commit/df32bc8402a900e09390e7e41c7f7cef8f8a9516
  Author: ianswett <[email-masked]>
  Date:   2020-02-20 (Thu, 20 Feb 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  tls

  Commit: bac73750cfde8b0f73d1dc4ba5602b5968e70e8e
      https://github.com/quicwg/base-drafts/commit/bac73750cfde8b0f73d1dc4ba5602b5968e70e8e
  Author: ianswett <[email-masked]>
  Date:   2020-02-20 (Thu, 20 Feb 2020)

  Changed paths:
    M draft-ietf-quic-http.md
    M draft-ietf-quic-qpack.md
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Merge pull request #3472 from quicwg/ianswett-noop-recovery-changelog

Add a changelog for http, qpack, tls, and recovery since -25

  Commit: 8e5bbdf5e6d2a542e97a1ba54a57d5fbbcb78e19
      https://github.com/quicwg/base-drafts/commit/8e5bbdf5e6d2a542e97a1ba54a57d5fbbcb78e19
  Author: Mike Bishop <[email-masked]>
  Date:   2020-02-21 (Fri, 21 Feb 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Application-layer close (#3437)

  Commit: c1b860491d2cb6ad1c45dacd02a521988654430e
      https://github.com/quicwg/base-drafts/commit/c1b860491d2cb6ad1c45dacd02a521988654430e
  Author: Martin Thomson <[email-masked]>
  Date:   2020-02-22 (Sat, 22 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3169 from DavidSchinazi/varinttp

Make transport parameters varint

  Commit: dd3b8b0e62babfd1a647309d05d2c38f43d9fd27
      https://github.com/quicwg/base-drafts/commit/dd3b8b0e62babfd1a647309d05d2c38f43d9fd27
  Author: Martin Thomson <[email-masked]>
  Date:   2020-02-22 (Sat, 22 Feb 2020)

  Changed paths:
    M draft-ietf-quic-http.md
    M draft-ietf-quic-qpack.md
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Add changelogs for transport -26 and all -27

  Commit: 794323875ce8dd4b408a96a88ea128e77c0999e9
      https://github.com/quicwg/base-drafts/commit/794323875ce8dd4b408a96a88ea128e77c0999e9
  Author: Martin Thomson <[email-masked]>
  Date:   2020-02-22 (Sat, 22 Feb 2020)

  Changed paths:
    M draft-ietf-quic-tls.md
    M protection-samples.js

  Log Message:
  -----------
  Update examples for -27

  Commit: b8779343f9b51d7d5435b5cd3e6d0bece516b329
      https://github.com/quicwg/base-drafts/commit/b8779343f9b51d7d5435b5cd3e6d0bece516b329
  Author: Martin Thomson <[email-masked]>
  Date:   2020-02-22 (Sat, 22 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Remove tabs from recovery draft

  Commit: 15612646cc9e36ade7043fc93c4114c0221712c7
      https://github.com/quicwg/base-drafts/commit/15612646cc9e36ade7043fc93c4114c0221712c7
  Author: Martin Thomson <[email-masked]>
  Date:   2020-02-22 (Sat, 22 Feb 2020)

  Changed paths:
    M .lint.py

  Log Message:
  -----------
  Lint HTAB

I caught Ian adding these once, then failed to catch it a second time.
Fool me once...

  Commit: 6e13a0be0d540146fa663effc0d00dc058b2ea7f
      https://github.com/quicwg/base-drafts/commit/6e13a0be0d540146fa663effc0d00dc058b2ea7f
  Author: Martin Thomson <[email-masked]>
  Date:   2020-02-23 (Sun, 23 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3444 from quicwg/ianswett-idle-timeout-editorial

Idle timeout editorial fixes

  Commit: 41b3967ae5fcfe974912139de243b0d91b595082
      https://github.com/quicwg/base-drafts/commit/41b3967ae5fcfe974912139de243b0d91b595082
  Author: David Schinazi <[email-masked]>
  Date:   2020-02-22 (Sat, 22 Feb 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Update reference to RFC8740

  Commit: ea0cd3e665e5f6f1b5cbf05736a8c7c670a18844
      https://github.com/quicwg/base-drafts/commit/ea0cd3e665e5f6f1b5cbf05736a8c7c670a18844
  Author: Martin Thomson <[email-masked]>
  Date:   2020-02-23 (Sun, 23 Feb 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Merge pull request #3479 from DavidSchinazi/rfc8740

Update reference to RFC8740

  Commit: 96a64024ce8a2cbb5e9ab58de4180ed53166fc3a
      https://github.com/quicwg/base-drafts/commit/96a64024ce8a2cbb5e9ab58de4180ed53166fc3a
  Author: Martin Thomson <[email-masked]>
  Date:   2020-02-24 (Mon, 24 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Remove tabs from recovery draft

  Commit: 69c2d95035420cc9bc596ed1d6a3373dfbe85548
      https://github.com/quicwg/base-drafts/commit/69c2d95035420cc9bc596ed1d6a3373dfbe85548
  Author: Martin Thomson <[email-masked]>
  Date:   2020-02-24 (Mon, 24 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Transport parameters can be declared unilaterally

The text already says this, but we lost track of it.  This hopefully
clarifies that.

Closes #3429.

  Commit: e28286096182fa8b57a8607da90ce73144b3f105
      https://github.com/quicwg/base-drafts/commit/e28286096182fa8b57a8607da90ce73144b3f105
  Author: Martin Thomson <[email-masked]>
  Date:   2020-02-24 (Mon, 24 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  ^^

  Commit: d38e8c0f0d7376c66a1c0c64111177879321cb50
      https://github.com/quicwg/base-drafts/commit/d38e8c0f0d7376c66a1c0c64111177879321cb50
  Author: Martin Thomson <[email-masked]>
  Date:   2020-02-24 (Mon, 24 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Scope connection IDs to the current connection

This isn't strictly necessary, as it might be implied by the definition
of a connection ID.

Closes #3484.

  Commit: f9b64c275b366d0b745340da92d0ad019d48ce25
      https://github.com/quicwg/base-drafts/commit/f9b64c275b366d0b745340da92d0ad019d48ce25
  Author: Dmitri Tikhonov <[email-masked]>
  Date:   2020-02-24 (Mon, 24 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Fix typo in transport draft changelog

  Commit: 2ce00d0f25b338bbc3a917805fb06d477edfacc1
      https://github.com/quicwg/base-drafts/commit/2ce00d0f25b338bbc3a917805fb06d477edfacc1
  Author: Bence Béky <[email-masked]>
  Date:   2020-02-25 (Tue, 25 Feb 2020)

  Changed paths:
    M draft-ietf-quic-qpack.md

  Log Message:
  -----------
  Improve language on evictable entries. (#3131)

* Improve language on blocking entries.

Remove "insertion has been acknowledged" phrase to avoid confusion
between Header Acknowledgement instructions implicitly acknowledging
encoder stream instructions and explicitly acknowledging header blocks.
Use Known Received Count instead.

Clarify that references on the encoder stream do not block an entry from
eviction.  Trivial as it is, I overlooked this at first, and added quite
some unnecessary complexity that was eventually removed at
https://quiche.googlesource.com/quiche/+/b09d44167c543b80b2c27408dd1f9df3b07c9741.
My motivation here is to help future implementers to avoid this pitfall.

Merge redundant Reference Tracking section into Blocked Dynamic Table
Insertions.

Change style of "Note" at end of section for consistency.  There were
already four sentences starting with "Note that" throughout the draft
before this PR (now there are six), but no other "Note:" markdown.

* Revert changing acknowledging insertion to comparing absolute index to Known Received Count.

* Remove unnecessary wordcrafting to blocked-insertion first paragraph.

* wordsmithing

* nit

* Minor rewording

  Commit: 9e0d7e7cd162c942e9a756f0dbf143f3ff311447
      https://github.com/quicwg/base-drafts/commit/9e0d7e7cd162c942e9a756f0dbf143f3ff311447
  Author: Martin Thomson <[email-masked]>
  Date:   2020-02-25 (Tue, 25 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3481 from dtikhonov/202002241022-fix-transport-changelog-typo

Fix typo in transport draft changelog

  Commit: 86f72a783870cb18d6ad334d4edac1f08f7a1f79
      https://github.com/quicwg/base-drafts/commit/86f72a783870cb18d6ad334d4edac1f08f7a1f79
  Author: Martin Thomson <[email-masked]>
  Date:   2020-02-25 (Tue, 25 Feb 2020)

  Changed paths:
    M .lint.py

  Log Message:
  -----------
  Merge pull request #3476 from quicwg/lint-tab

Lint tabs

  Commit: 4a202220895c6d2fb9d1cb81a2ecee6eab69cfb0
      https://github.com/quicwg/base-drafts/commit/4a202220895c6d2fb9d1cb81a2ecee6eab69cfb0
  Author: Martin Thomson <[email-masked]>
  Date:   2020-02-25 (Tue, 25 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3478 from quicwg/unilateral-tp

Unilateral Transport Parameters

  Commit: 51fdf4251200fb0daf02d2014e6be72e4683f413
      https://github.com/quicwg/base-drafts/commit/51fdf4251200fb0daf02d2014e6be72e4683f413
  Author: Martin Thomson <[email-masked]>
  Date:   2020-02-25 (Tue, 25 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3485 from quicwg/connection-scope-id

Scope connection IDs to the current connection

  Commit: d71905f1cccff82204ee98afb9c4532be3348541
      https://github.com/quicwg/base-drafts/commit/d71905f1cccff82204ee98afb9c4532be3348541
  Author: ianswett <[email-masked]>
  Date:   2020-02-25 (Tue, 25 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #3462 from quicwg/ianswett-adaptive-loss

Clarify adaptive loss thresholds

  Commit: 6d5f3dab6470062bf3649872b3fe21498710dbf6
      https://github.com/quicwg/base-drafts/commit/6d5f3dab6470062bf3649872b3fe21498710dbf6
  Author: Dmitri Tikhonov <[email-masked]>
  Date:   2020-02-26 (Wed, 26 Feb 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Fix typo in HTTP draft (#3482)

  Commit: bf46a9b1e6bc81dc0cda1ef84f4c0b440702b872
      https://github.com/quicwg/base-drafts/commit/bf46a9b1e6bc81dc0cda1ef84f4c0b440702b872
  Author: Loganaden Velvindron <[email-masked]>
  Date:   2020-02-26 (Wed, 26 Feb 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  HTTP/3: Add RFC8446 reference for TLS 1.3. (#3483)

* Add RFC8446 reference

* Fix formatting reported by CircleCI

* Fix trailing whitespaces

* Use  symbolic references

Co-Authored-By: Martin Thomson <[email-masked]>

* Use symbolic reference for TFO

Co-Authored-By: Martin Thomson <[email-masked]>

* Fix line wrapping

Co-authored-by: Martin Thomson <[email-masked]>

  Commit: 55d617658fd32b95c54f27e75d1bab5739032537
      https://github.com/quicwg/base-drafts/commit/55d617658fd32b95c54f27e75d1bab5739032537
  Author: ianswett <[email-masked]>
  Date:   2020-02-26 (Wed, 26 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Jana's suggestions

Co-Authored-By: Jana Iyengar <[email-masked]>

  Commit: 9124ab1f5e462d386eec478e3813cfccec00148a
      https://github.com/quicwg/base-drafts/commit/9124ab1f5e462d386eec478e3813cfccec00148a
  Author: ianswett <[email-masked]>
  Date:   2020-02-26 (Wed, 26 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

  Commit: 0ce17f386f32e69c5e1abeaaddaccc273e4e110c
      https://github.com/quicwg/base-drafts/commit/0ce17f386f32e69c5e1abeaaddaccc273e4e110c
  Author: ianswett <[email-masked]>
  Date:   2020-02-26 (Wed, 26 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

  Commit: 52649b9ecb3d4ddf3325e5db8891e7a2e6d95813
      https://github.com/quicwg/base-drafts/commit/52649b9ecb3d4ddf3325e5db8891e7a2e6d95813
  Author: ianswett <[email-masked]>
  Date:   2020-02-26 (Wed, 26 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

  Commit: 1bc588fe9dc0227b2aeda8a6311f22ea7c2157a2
      https://github.com/quicwg/base-drafts/commit/1bc588fe9dc0227b2aeda8a6311f22ea7c2157a2
  Author: ianswett <[email-masked]>
  Date:   2020-02-26 (Wed, 26 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

  Commit: 1a952f91d3f8d371e5fadfb2a56fb8c63ff6d5de
      https://github.com/quicwg/base-drafts/commit/1a952f91d3f8d371e5fadfb2a56fb8c63ff6d5de
  Author: ianswett <[email-masked]>
  Date:   2020-02-26 (Wed, 26 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

  Commit: 1e60a825e535c3d1fddff7c3121b60a9bae1db40
      https://github.com/quicwg/base-drafts/commit/1e60a825e535c3d1fddff7c3121b60a9bae1db40
  Author: ianswett <[email-masked]>
  Date:   2020-02-26 (Wed, 26 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

  Commit: b19b38b5fcb9e4c24fbdf95328fa7f6c726a5180
      https://github.com/quicwg/base-drafts/commit/b19b38b5fcb9e4c24fbdf95328fa7f6c726a5180
  Author: ianswett <[email-masked]>
  Date:   2020-02-26 (Wed, 26 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

  Commit: 47ba99c5eba017e53d1fd1b01cc8d6386cdffbd3
      https://github.com/quicwg/base-drafts/commit/47ba99c5eba017e53d1fd1b01cc8d6386cdffbd3
  Author: Martin Thomson <[email-masked]>
  Date:   2020-02-26 (Wed, 26 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3445 from quicwg/ianswett-why-send-handshake

Clarify client anti-amplification response

  Commit: 4fc37067f5cb3d62b59b3bd48fac75d5c09a4b36
      https://github.com/quicwg/base-drafts/commit/4fc37067f5cb3d62b59b3bd48fac75d5c09a4b36
  Author: ianswett <[email-masked]>
  Date:   2020-02-26 (Wed, 26 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  MT's comments and minimize text in the appendix

  Commit: 0f2d4bff92a79bf4a385ff5992c7d6d403cbdd4f
      https://github.com/quicwg/base-drafts/commit/0f2d4bff92a79bf4a385ff5992c7d6d403cbdd4f
  Author: ianswett <[email-masked]>
  Date:   2020-02-26 (Wed, 26 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: 78bae10884d3215cab0726c4841bda11e72c6104
      https://github.com/quicwg/base-drafts/commit/78bae10884d3215cab0726c4841bda11e72c6104
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-02-27 (Thu, 27 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: 70b56f694d81348b1faabdb289050266cc46e9ba
      https://github.com/quicwg/base-drafts/commit/70b56f694d81348b1faabdb289050266cc46e9ba
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-02-27 (Thu, 27 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #3463 from quicwg/ianswett-cc-self-contained

Make congestion control more self-contained

  Commit: 206ae8519c0eca337314a958ab181b9255b98643
      https://github.com/quicwg/base-drafts/commit/206ae8519c0eca337314a958ab181b9255b98643
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-02-27 (Thu, 27 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: 40ed46141174740f8f9bb9aec5fef2b03594bab3
      https://github.com/quicwg/base-drafts/commit/40ed46141174740f8f9bb9aec5fef2b03594bab3
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-02-27 (Thu, 27 Feb 2020)

  Changed paths:
    M .lint.py
    M draft-ietf-quic-http.md
    M draft-ietf-quic-qpack.md
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md
    M protection-samples.js

  Log Message:
  -----------
  Merge branch 'master' into ianswett-send-one-packet

  Commit: bde607e16fd14e3d8a82035d7f5e6b8a8ba43d18
      https://github.com/quicwg/base-drafts/commit/bde607e16fd14e3d8a82035d7f5e6b8a8ba43d18
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-02-27 (Thu, 27 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #3380 from mirjak/patch-5

Editorial: More concise intro text (recovery)

  Commit: 36da8076286a15451100e0de314338cee9b6c005
      https://github.com/quicwg/base-drafts/commit/36da8076286a15451100e0de314338cee9b6c005
  Author: ianswett <[email-masked]>
  Date:   2020-02-27 (Thu, 27 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-Authored-By: Jana Iyengar <[email-masked]>

  Commit: 062b95580c1371f31d30314e016a9ed85ea67f87
      https://github.com/quicwg/base-drafts/commit/062b95580c1371f31d30314e016a9ed85ea67f87
  Author: mirjak <[email-masked]>
  Date:   2020-03-03 (Tue, 03 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Normative language in cc section

This my need a design issue because I suggest to use two SHOULDs instead of should. However, I would first like to get some feedback if people agree.

  Commit: eb65124854433637e827f68c4b40380c6c301ab1
      https://github.com/quicwg/base-drafts/commit/eb65124854433637e827f68c4b40380c6c301ab1
  Author: ianswett <[email-masked]>
  Date:   2020-03-03 (Tue, 03 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #3492 from mirjak/patch-22

Normative language in cc section

  Commit: 82a53af161f418ba940388c880ae0aa0100312b7
      https://github.com/quicwg/base-drafts/commit/82a53af161f418ba940388c880ae0aa0100312b7
  Author: Martin Thomson <[email-masked]>
  Date:   2020-03-05 (Thu, 05 Mar 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3425 from quicwg/remember-acil

Remember active_connection_id_limit for 0-RTT

  Commit: 6a0f488a1e944fa1df7c30e16db9f50f49e0fab7
      https://github.com/quicwg/base-drafts/commit/6a0f488a1e944fa1df7c30e16db9f50f49e0fab7
  Author: Martin Thomson <[email-masked]>
  Date:   2020-03-05 (Thu, 05 Mar 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3398 from dtikhonov/202001271719-cant-proceed-with-invalid-retry

Fix: server cannot proceed to handshake when given an invalid Retry token

  Commit: 3d4a09611afdbabed83c0cd5650307b217bea894
      https://github.com/quicwg/base-drafts/commit/3d4a09611afdbabed83c0cd5650307b217bea894
  Author: ianswett <[email-masked]>
  Date:   2020-03-04 (Wed, 04 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #3453 from quicwg/ianswett-clarify-ack-only

ACK-only packets are not congestion controlled

  Commit: 8dfa6138a6557cb38934ab1363519a5d379dadbc
      https://github.com/quicwg/base-drafts/commit/8dfa6138a6557cb38934ab1363519a5d379dadbc
  Author: ianswett <[email-masked]>
  Date:   2020-03-04 (Wed, 04 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #3443 from quicwg/ianswett-send-one-packet

MAY send 1 packet entering recovery

  Commit: 03d4c76f8c444fa921dbd3c84988c26e3b5b8088
      https://github.com/quicwg/base-drafts/commit/03d4c76f8c444fa921dbd3c84988c26e3b5b8088
  Author: ianswett <[email-masked]>
  Date:   2020-03-04 (Wed, 04 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #3415 from quicwg/ianswett-discard-keys-pto

Reset PTO and loss detection timer when discarding keys

  Commit: 07a901a9b9cfc790e9b51278548e808db0daf63f
      https://github.com/quicwg/base-drafts/commit/07a901a9b9cfc790e9b51278548e808db0daf63f
  Author: ianswett <[email-masked]>
  Date:   2020-03-07 (Sat, 07 Mar 2020)

  Changed paths:
    M .lint.py
    M draft-ietf-quic-http.md
    M draft-ietf-quic-qpack.md
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md
    M protection-samples.js

  Log Message:
  -----------
  Merge branch 'master' into ianswett-restore-undecryptable

Compare: https://github.com/quicwg/base-drafts/compare/ab20c818c34b...07a901a9b9cf